summaryrefslogtreecommitdiff
path: root/Biz/Ide/run.sh
diff options
context:
space:
mode:
Diffstat (limited to 'Biz/Ide/run.sh')
-rwxr-xr-xBiz/Ide/run.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/Biz/Ide/run.sh b/Biz/Ide/run.sh
new file mode 100755
index 0000000..8acb519
--- /dev/null
+++ b/Biz/Ide/run.sh
@@ -0,0 +1,6 @@
+#!/usr/bin/env bash
+set -eu
+target=$1
+shift
+out=$(rg --only-matching ": out (\w*)" -r '$1' "$target")
+exec "${CODEROOT:?}/_/bin/$out" "$@"